<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('serenata_route_plans', function (Blueprint $table) {
            $table->foreign('serenata_id')->references('id')->on('serenatas')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('serenata_route_plans', function (Blueprint $table) {
            $table->dropForeign(['serenata_id']);
        });
    }
};
